org.apache.cassandra.cql3.statements

## Class IndexTarget

- java.lang.Object
- - org.apache.cassandra.cql3.statements.IndexTarget

    public class IndexTarget
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `IndexTarget.Raw`
`static class` `IndexTarget.TargetType`

### Field Summary

Fields
`ColumnIdentifier` `column`
`IndexTarget.TargetType` `type`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### column

    public final ColumnIdentifier column

#### type

    public final IndexTarget.TargetType type